Address Book
All operations require authentication.
List phonebooksProduction
List phonebooks. Returns the identifiers (bookKey) of the phonebooks shared by the billing account. A phonebook stores contacts with their phone numbers.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a phonebookProduction
Get a phonebook. Returns the name and the identifier (bookKey) of the phonebook shared by the billing account.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Identifier of the phonebook
Phone book name
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"{ "bookKey": "string", "name": "string"}
Create a phonebookProduction
Create a phonebook. Creates a phonebook shared by the billing account. Returns its identifier (bookKey).
Path parameters
The name of your billingAccount
Request body (required)
Name of the wanted phonebook
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete a phonebookProduction
Delete a phonebook. Deletes the phonebook shared by the billing account and its contacts. Export the contacts first to keep a copy.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Update a phonebookProduction
Update a phonebook. Updates the name of the phonebook shared by the billing account. Contacts are updated one by one.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Identifier of the phonebook
Phone book name
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey} \
-H "authorization: Bearer $OVH_TOKEN"Export contactsProduction
Export contacts. Exports the contacts of the phonebook to a file in CSV format. Returns the file to download.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Query parameters
Format of the file
csvResponse
File providing task status
doingdoneerrortodoExample uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ export \
-H "authorization: Bearer $OVH_TOKEN"{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}
Import contactsProduction
Import contacts. Imports contacts into the phonebook from an Excel (.xls, .xlsx) or CSV file in /me/document. Returns the task that performs the import.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
ID of the /me/document file you want to import
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ import \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List contactsProduction
List contacts. Returns the identifiers of the contacts of the phonebook. Get a contact for its name, group and phone numbers.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a contactProduction
Get a contact. Returns the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}
Create a contactProduction
Create a contact. Creates a contact in the phonebook with a name, surname, group and phone numbers. Returns its identifier.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Name of the contact
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact \
-H "authorization: Bearer $OVH_TOKEN"0
Delete a contactProduction
Delete a contact. Deletes the contact from the phonebook, with its name, group and office and home phone numbers.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Response
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a contactProduction
Update a contact. Updates the contact of the phonebook: name, surname, group, and office and home phone numbers, landline and mobile.
Path parameters
The name of your billingAccount
Identifier of the phonebook
Contact identifier
Request body (required)
Group name of the phonebook
Home mobile phone number of the contact
Home landline phone number of the contact
Contact identifier
Contact name
Contact surname
Mobile phone office number of the contact
Landline phone office number of the contact
Response
Example uses billingAccount = string, bookKey = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ phonebook/ {bookKey}/ phonebookContact/ {id} \
-H "authorization: Bearer $OVH_TOKEN"